> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a compute node's certificate > Get certificate for the compute node. ## OpenAPI ````json GET /v1/nodes/{node-id}/certificate-details { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/nodes/{node-id}/certificate-details": { "get": { "tags": [ "Node" ], "summary": "Get a compute node's certificate.", "description": "Get certificate for the compute node.", "operationId": "getNodeCertificateDetails", "parameters": [ { "$ref": "#/components/parameters/NodeId" } ], "responses": { "200": { "description": "Certificate details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CertificateDetails" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "NodeId": { "name": "node-id", "in": "path", "description": "UUID of a compute node.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "CertificateDetails": { "required": [ "subject_name", "issuer_name", "valid_from", "valid_until", "cpusvn", "ias_quote_status" ], "type": "object", "properties": { "enclave_info": { "$ref": "#/components/schemas/EnclaveInfo" }, "subject_name": { "type": "string", "description": "Name of the subject." }, "issuer_name": { "type": "string", "description": "Name of the issuer." }, "valid_until": { "type": "integer", "description": "Certificate expiry date.", "format": "int64" }, "valid_from": { "type": "integer", "description": "Certificate valid from.", "format": "int64" }, "cpusvn": { "type": "string", "description": "CPUSVN, as a hex string." }, "ias_quote_status": { "type": "string", "description": "IAS quote status." } } }, "EnclaveInfo": { "required": [ "mrenclave", "mrsigner", "isvsvn", "isvprodid" ], "type": "object", "properties": { "mrenclave": { "type": "string", "description": "mrenclave of an image, as a hex string." }, "mrsigner": { "type": "string", "description": "mrsigner of an image, as a hex string." }, "isvprodid": { "type": "integer", "description": "ISV Product Id.", "format": "int32" }, "isvsvn": { "type": "integer", "description": "ISV Security Version Number.", "format": "int32" } }, "description": "Info on a application enclave." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````